<?php
class CountriesController extends AppController {

	var $name = 'Countries';
	var $helpers = array('Html', 'Form');

	var $paginate = array(
	    'limit' => 400,
	    'Enquiry' => array('order' => array('Enquiry.id' => 'asc'))
	    );

	function index() {
		$this->Country->recursive = 0;
		$this->set('countries', $this->paginate());
		//$this->set('countries', $this->Country->find('all'));
	}

	function view($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid Country.', true));
			$this->redirect(array('action'=>'index'));
		}
		$this->set('country', $this->Country->read(null, $id));
		$this->set('enquiries', $this->paginate('Enquiry', array('Enquiry.country_id' => $id)));
	}

	function add() {
		$this->set('currencies', $this->Country->Currency->find('list', array('fields'=>array('Currency.id', 'Currency.name'))));
		if (!empty($this->data)) {
			
			$this->Country->create();
			
			if ($this->Country->save($this->data)) {
				$this->Session->setFlash(__('The Country has been saved', true));
				$this->redirect(array('action'=>'index'));
			} else {
				$this->Session->setFlash(__('The Country could not be saved. Please, try again.', true));
			}
		}
	}

	function edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->Session->setFlash(__('Invalid Country', true));
			$this->redirect(array('action'=>'index'));
		}
		if (!empty($this->data)) {
			if ($this->Country->save($this->data)) {
				$this->Session->setFlash(__('The Country has been saved', true));
				$this->redirect(array('action'=>'index'));
			} else {
				$this->Session->setFlash(__('The Country could not be saved. Please, try again.', true));
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Country->read(null, $id);
		}
	}

	function delete($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid id for Country', true));
			$this->redirect(array('action'=>'index'));
		}
		if ($this->Country->del($id)) {
			$this->Session->setFlash(__('Country deleted', true));
			$this->redirect(array('action'=>'index'));
		}
	}


        function completeCountry() {
            $query = strtolower($_GET["term"]);

        if($query == null) {
            return;
        }

        App::import('Core', 'Sanitize');

        $query = Sanitize::clean($query);

        $countries = $this->Country->find('list', array(
				'conditions' => array(
					'Country.name LIKE' => '%'.$query.'%'
				),'fields' => array('Country.id', 'Country.name'), 'order' =>array('Country.name ASC')



        ));

	//print_r($countries);

        foreach ($countries as $id => $country) {
            
            $country_list[] = array('id'=> $id, 'label' => $country);
        }


        //$countries_json = json_encode($country_list);

	$countries_json = json_encode($country_list);

	$this->set('countries_json', $countries_json);




        $this->layout = 'ajax';
        }

}
?>
